Macro If Selected Stay If Not Then Delete

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro If Selected Stay If Not Then Delete and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano • ‎polski • ‎русский

Macro If Selected Stay If Not Then Delete.png Macro If Selected Stay If Not Then Delete

Description
Cette macro éfface tous les objets qui ne sont pas sélectionnés.

Version macro : 00.01
Date dernière modification : 2015-11-12
Version FreeCAD : Toutes
Téléchargement : Icône de la barre d'outils
Auteur: Mario52
Auteur
Mario52
Téléchargement
Icône de la barre d'outils
Liens
Version Macro
00.01
Dernière modification
2015-11-12
Version(s) FreeCAD
Toutes
Raccourci clavier
None
Voir aussi
Macro Toggle Visibility2 1-2
Macro Toggle Visibility2 2-2
Macro_Toggle_Visibility
Macro HiddenAlls
Macro_VisibleAlls

Description

Cette macro efface tous les objets qui ne sont pas sélectionnés.

Script

Icône de la barre d'outils Macro If Selected Stay If Not Then Delete.png

Macro_If_Selected_Stay_If_Not_Then_Delete.FCMacro

import FreeCAD
# Macro_If_Selected_Stay_If_Not_Then_Delete
__title__="Macro_If_Selected_Stay_If_Not_Then_Delete"
__author__ = "Mario52"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.00"
__date__    = "16/06/2016"

App = FreeCAD
try:
    for ShapeNameObj in FreeCAD.ActiveDocument.Objects:
        if Gui.Selection.isSelected(ShapeNameObj) == True:
            None
        else:
            App.ActiveDocument.removeObject(ShapeNameObj.Name)        # remove objects not selecteds
except Exception:
    None